Lists CSAT responses for the current organization, sorted newest first.
/api/csat/responsesLists CSAT responses for the current organization, sorted newest first. Use optional filters for rating, operatorId, and createdAt range. Pagination uses offset and limit; limit defaults to 20, offset defaults to 0, and limit cannot exceed 100.
Bearer API key or X-API-Key header.csat:readautomation_api)Query parameter. Maximum number of records to return.
Query parameter. Zero-based number of matching records to skip.
Query parameter. Value of from.
Query parameter. Value of to.
Query parameter. Unique identifier of the related operator.
Query parameter. Value of rating.
Query parameter. Search text.
Query parameter. Format. Allowed values: json, csv.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"data": [
{
"id": "55555555-5555-4555-8555-555555555555",
"conversationId": "11111111-1111-4111-8111-111111111111",
"visitorId": "44444444-4444-4444-8444-444444444444",
"operatorId": "66666666-6666-4666-8666-666666666666",
"rating": 5,
"comment": "Great service!",
"locale": "en",
"createdAt": "2026-06-23T08:00:00.000Z"
}
],
"pagination": {
"totalItems": 1,
"page": 1,
"pageSize": 20,
"hasNextPage": false,
"hasPrevPage": false
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}curl --request GET \
'https://api.convor.io/api/csat/responses?format=json' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer convor_sk_...'const response = await fetch("https://api.convor.io/api/csat/responses?format=json", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Bearer convor_sk_..."
},
});
const contentType = response.headers.get("content-type") ?? "";
const data = response.status === 204
? null
: contentType.includes("json")
? await response.json()
: contentType.startsWith("text/")
? await response.text()
: await response.blob();
if (!response.ok) {
const message = typeof data === "object" && data !== null
&& "error" in data && typeof data.error === "object"
&& data.error !== null && "message" in data.error
? String(data.error.message)
: "Convor API request failed (" + response.status + ")";
throw new Error(message);
}
console.log(data);Was this page helpful?